from ..interfaces import Entity

class Item(Entity):
    held:bool

    def __init__(self, *args, **kwargs):
        super().__init__(self, *args, **kwargs)
        self.held = False
    
    def drop(self, x:int, y:int):
        self.held = False
        self.move(x, y)
    
    def hold(self):
        self.held = True
